Bug 589758 - [abrt] crash in wesnoth-1.6.5-1.fc12: raise: Process /usr/bin/wesnoth was killed by signal 6 (SIGABRT)
Summary: [abrt] crash in wesnoth-1.6.5-1.fc12: raise: Process /usr/bin/wesnoth was kil...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: wesnoth (Show other bugs)
(Show other bugs)
Version: 12
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f6eecb26814d4f955c8649671b5...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 20:15 UTC by Christopher Dix
Modified: 2010-12-03 15:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 15:00:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (172.12 KB, text/plain)
2010-05-06 20:15 UTC, Christopher Dix
no flags Details

Description Christopher Dix 2010-05-06 20:15:09 UTC
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: wesnoth
comment: It appears as though I ran out of memory. "virtual memory exhausted: can't allocate 1700946284 bytes."
component: wesnoth
crash_function: raise
executable: /usr/bin/wesnoth
global_uuid: f6eecb26814d4f955c8649671b5edc9e14f649b5
kernel: 2.6.32.11-99.fc12.i686
package: wesnoth-1.6.5-1.fc12
rating: 4
reason: Process /usr/bin/wesnoth was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Playing a scenario in an add-on campaign (From the Unknown... Part II)
2. Had queued up about 7 or 8 units to advance to a position up to 3 positions in advance.
3. While 1 of the units was advancing on a pre-queued route, I clicked on a pre-queued unit prior to its movement to attack another unit

Comment 1 Christopher Dix 2010-05-06 20:15:11 UTC
Created attachment 412155 [details]
File: backtrace

Comment 2 Christopher Dix 2010-05-06 20:18:17 UTC
I forgot to mention that the crash to desktop also (incorrectly) altered my display resolution from 1248x768 to something that appears like 800x600 though the icons are flooding below the GNOME desktop tool bar on the bottom of the screen. The display preferences application/menu still says that I am at 1248x768.

Comment 3 Bug Zapper 2010-11-03 15:28:27 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-12-03 15:00:02 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.